Subject: Re: CASE1435344
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Mon, 10 Feb 2020 08:08:52 -0700 (MST)

This is a free repair, we're waiting for a battery to replace. Customer will not be charged here. 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Sunday, 9 February, 2020 01:38:36 
Subject: CASE1435344 

RA154452 

CASE1435344 unit was received on 12/16/2019 and SO has been created as well on 12/23/2019, I can see the battery has been replaced and it cost $49.99. I believe payment needs to be done but I cannot find that we ever sent her an invoice to pay. Please check!